<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.27
Name: Supply Heil-/Hilfsmittel
Description: Entry, welcher Informationen zu verfügbaren Heil- und Hilfsmitteln enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354">
   <title>Supply Heil-/Hilfsmittel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]
Item: (CDASupplyHH)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]"
         id="d42e6872-false-d22236e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="string(@classCode) = ('SPLY')">(CDASupplyHH): Der Wert von classCode MUSS 'SPLY' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="@moodCode">(CDASupplyHH): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (('EVN','RQO')))])">(CDASupplyHH): Der Wert von moodCode MUSS 'Code EVN oder Code RQO' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']) &gt;= 1">(CDASupplyHH): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']) &lt;= 1">(CDASupplyHH): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:id) &lt;= 1">(CDASupplyHH): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:code[(@code = '81635-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CDASupplyHH): Element hl7:code[(@code = '81635-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:code[(@code = '81635-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CDASupplyHH): Element hl7:code[(@code = '81635-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:text) &lt;= 1">(CDASupplyHH): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(CDASupplyHH): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(CDASupplyHH): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDASupplyHH): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:expectedUseTime) &lt;= 1">(CDASupplyHH): Element hl7:expectedUseTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:product[hl7:manufacturedProduct]) &lt;= 1">(CDASupplyHH): Element hl7:product[hl7:manufacturedProduct] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]) &lt;= 1">(CDASupplyHH): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']"
         id="d42e6886-false-d22335e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.27')">(CDASupplyHH): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.27' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:id
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:id"
         id="d42e6891-false-d22349e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:code[(@code = '81635-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:code[(@code = '81635-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6893-false-d22360e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="@nullFlavor or (@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')">(CDASupplyHH): Der Elementinhalt MUSS einer von 'code '81635-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:text
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:text"
         id="d42e6899-false-d22376e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:statusCode[@code = 'completed']
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:statusCode[@code = 'completed']"
         id="d42e6901-false-d22387e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="@nullFlavor or (@code='completed')">(CDASupplyHH): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:effectiveTime
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:effectiveTime"
         id="d42e6906-false-d22403e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:expectedUseTime
Item: (CDASupplyHH)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:expectedUseTime"
         id="d42e6908-false-d22413e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(CDASupplyHH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]
Item: (CDASupplyHH)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="string(@typeCode) = ('PRD') or not(@typeCode)">(CDASupplyHH): Der Wert von typeCode MUSS 'PRD' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.26
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]
Item: (ManufacturedProductHilfsmittel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.26
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]
Item: (ManufacturedProductHilfsmittel)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.26-2018-09-01T171857.html"
              test="string(@classCode) = ('MANU') or not(@classCode)">(ManufacturedProductHilfsmittel): Der Wert von classCode MUSS 'MANU' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.26-2018-09-01T171857.html"
              test="count(hl7:manufacturedMaterial) &gt;= 1">(ManufacturedProductHilfsmittel): Element hl7:manufacturedMaterial ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.26-2018-09-01T171857.html"
              test="count(hl7:manufacturedMaterial) &lt;= 1">(ManufacturedProductHilfsmittel): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.26
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]/hl7:id
Item: (ManufacturedProductHilfsmittel)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.26-2018-09-01T171857.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ManufacturedProductHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.25
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]/hl7:manufacturedMaterial
Item: (MaterialHilfsmittel)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]/hl7:manufacturedMaterial">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.25-2018-09-01T172130.html"
              test="string(@classCode) = ('MMAT') or not(@classCode)">(MaterialHilfsmittel): Der Wert von classCode MUSS 'MMAT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.25-2018-09-01T172130.html"
              test="string(@determinerCode) = ('KIND') or not(@determinerCode)">(MaterialHilfsmittel): Der Wert von determinerCode MUSS 'KIND' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.25-2018-09-01T172130.html"
              test="count(hl7:name) &lt;= 1">(MaterialHilfsmittel): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.25
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]/hl7:manufacturedMaterial/hl7:name
Item: (MaterialHilfsmittel)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:product[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial]/hl7:manufacturedMaterial/hl7:name">
      <extends rule="EN"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.25-2018-09-01T172130.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'EN')">(MaterialHilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.27
Context: *[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]
Item: (CDASupplyHH)
-->
   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]]/hl7:supply[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.27']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.22']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="@typeCode">(CDASupplyHH): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('COMP')))])">(CDASupplyHH): Der Wert von typeCode MUSS 'Code COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.27-2018-09-01T171354.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDASupplyHH): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>
</pattern>
